
Redmine - Defect #7283

Mail notifications only for watchers

2011-01-11 09:51 - Renzo Meister

Status: Closed Start date: 2011-01-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have updated Redmine to Version 1.1.0 yesterday. Until this moment no more mail notifications will be sent to creator or assigned

users. Only mails to watchers are sent.

Works:

Test-Mail works fine

Mail notifications to watcher work fine

Don't work:

Mail notifications to creators or assigned users not sent

Changed notification settings in my account allways fall back to first entry so I don't know which settings are made.

We are using redmine hourly with 25 Users and need back the mail notifications very urgently!

I'm really appreciated for a fast help!

I write this ticket again because someone has played with my previous ticket #7281

History

#1 - 2011-01-11 21:13 - Jean-Philippe Lang

- Priority changed from Urgent to Normal

Please read SubmittingBugs.

#2 - 2011-01-12 12:35 - Renzo Meister

Here the version informations of our redmine server:

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0.1

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Environment               production

Database adapter          mysql

Database schema version   20100819172912

Redmine                          1.1.0 devel

Redmine Time Tracker plugin      0.3

Redmine Work Time plugin         0.0.62

Redmine Gitosis plugin           0.0.1

Redmine Schedules plugin         0.4.2.1

Redmine Graphs plugin            0.1.0

Redmine Wiki Extensions plugin   0.2.5

mysql  Ver 14.14 Distrib 5.1.41, for debian-linux-gnu (i486) using readline 6.1

Hope this informations are usefull!

#3 - 2011-01-12 12:55 - Renzo Meister

I also have a second redmine server for my private projects. There exists the same problem.
This server is a VPS located by my hoster with the following informations:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20100819172912

Redmine 1.1.0.devel (MySQL)

About your Redmine plugins

Redmine Time Tracker plugin      development

Redmine Wiki Extensions plugin   0.2.5

Redmine Scrum Sprints plugin     0.1.4

Redmine Schedules plugin         0.4.2

Redmine Gitosis plugin           0.0.1

Timesheet Plugin                 0.6.0

Customer plugin                  0.2.0

Redmine Graphs plugin            0.1.0

ezFAQ plugin                     0.3.5

Invoice plugin                   0.0.1

Redmine Codebook plugin          0.2.1

Redmine Theme Changer plugin     0.0.1

Redmine Amotest plugin           0.0.1

Embedded                         0.0.1

Bulk Time Entry                  0.5.0

Issue Due Date                   0.1.0

Redmine Question plugin          0.3.0

root@oma:/var/www/redmine# mysql --version

mysql  Ver 14.12 Distrib 5.0.75, for debian-linux-gnu (x86_64) using readline 5.2

This server runs Ubuntu 9.04

The previous server runs Ubuntu 10.04.1 LTS

#4 - 2011-01-12 14:18 - Renzo Meister

Some more informations:

On a new install everything works fine.

I have installed the same plugins into new installation and it works.

Then i've installed all themes and it works also

Then i've switched from new to existing database and it doesn't work!

So I'm sure it must be an error in the database. And it must be something with the user preferences.

Because they aren't updated when I change something. In the new Installation that works fine.

Maybe that helps...

#5 - 2011-01-12 15:42 - Renzo Meister

- Status changed from New to Resolved

- % Done changed from 0 to 100

Bug is fixed!

While migrating the database, the changes on field "mail_notification" from tinyint to varchar(255) where not made.

I don't know why but now i've restarted the rake db:migrate and now it has made this changes.

Now I'm very, very happy again!!!

Again so many thanks to all of the redmine producers and contributors!!!

#6 - 2011-02-09 17:56 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Invalid

#7 - 2011-10-25 13:07 - Aldous Cameron

SPAM
